serialization Module

Classes

Deserializer

Response object model deserializer.

Model

Mixin for all client request body/response body models to support serialization and deserialization.

Serializer

Request object model serializer.

UTC

Time Zone info for handling UTC

Functions

attribute_key_case_insensitive_extractor

attribute_key_case_insensitive_extractor(attr, _, data)

Parameters

attr
_
data

attribute_key_extractor

attribute_key_extractor(attr, _, data)

Parameters

attr
_
data

attribute_transformer

A key transformer that returns the Python attribute.

attribute_transformer(key, attr_desc, value)

Parameters

key
str
Required

The attribute name

attr_desc
dict
Required

The attribute metadata

value
object
Required

The value

Returns

A key using attribute name

full_restapi_key_transformer

A key transformer that returns the full RestAPI key path.

full_restapi_key_transformer(key, attr_desc, value)

Parameters

_
str
Required

The attribute name

attr_desc
dict
Required

The attribute metadata

value
object
Required

The value

Returns

A list of keys using RestAPI syntax.

last_rest_key_case_insensitive_extractor

Extract the attribute in "data" based on the last part of the JSON path key.

This is the case insensitive version of "last_rest_key_extractor"

last_rest_key_case_insensitive_extractor(attr, attr_desc, data)

Parameters

attr
attr_desc
data

last_rest_key_extractor

Extract the attribute in "data" based on the last part of the JSON path key.

last_rest_key_extractor(attr, attr_desc, data)

Parameters

attr
attr_desc
data

last_restapi_key_transformer

A key transformer that returns the last RestAPI key.

last_restapi_key_transformer(key, attr_desc, value)

Parameters

key
str
Required

The attribute name

attr_desc
dict
Required

The attribute metadata

value
object
Required

The value

Returns

The last RestAPI key.

rest_key_case_insensitive_extractor

rest_key_case_insensitive_extractor(attr, attr_desc, data)

Parameters

attr
attr_desc
data

rest_key_extractor

rest_key_extractor(attr, attr_desc, data)

Parameters

attr
attr_desc
data

xml_key_extractor

xml_key_extractor(attr, attr_desc, data)

Parameters

attr
attr_desc
data